RUN_RESFINDER.PY(1)

NAME
run_resfinder.py - identify acquired antimicrobial resistance genes

DESCRIPTION
usage: run_resfinder.py [-h] [-ifa INPUTFASTA]

[-ifq INPUTFASTQ [INPUTFASTQ ...]] [-o OUT_PATH]
    [-b BLAST_PATH] [-k KMA_PATH] [-s SPECIES] [-db_res DB_PATH_RES] [-db_res_kma DB_PATH_RES_KMA] [-d DATABASES] [-acq] [-ao ACQ_OVERLAP] [-l MIN_COV] [-t THRESHOLD] [-c] [-db_point DB_PATH_POINT] [-db_point_kma DB_PATH_POINT_KMA] [-g SPECIFIC_GENE [SPECIFIC_GENE ...]] [-u] [-l_p MIN_COV_POINT] [-t_p THRESHOLD_POINT] [--pickle]

  optional arguments:

-h, --help
    show this help message and exit

-ifa INPUTFASTA, --inputfasta INPUTFASTA
    Input fasta file.

-ifq INPUTFASTQ [INPUTFASTQ ...], --inputfastq INPUTFASTQ [INPUTFASTQ ...]
    Input fastq file(s). Assumed to be single-end fastq if only one file is provided, and assumed to be pairedend data if two files are provided.

-o OUT_PATH, --outputPath OUT_PATH
    Path to blast output

-b BLAST_PATH, --blastPath BLAST_PATH
    Path to blastn

-k KMA_PATH, --kmaPath KMA_PATH
    Path to KMA

-s SPECIES, --species SPECIES
    Species in the sample

-db_res DB_PATH_RES, --db_path_res DB_PATH_RES
    Path to the databases for ResFinder

-db_res_kma DB_PATH_RES_KMA, --db_path_res_kma DB_PATH_RES_KMA
    Path to the ResFinder databases indexed with KMA. Defaults to the 'kma_indexing' directory inside the given database directory.

-d DATABASES, --databases DATABASES
    Databases chosen to search in - if none is specified all is used

-acq, --acquired
    Run resfinder for acquired resistance genes

-ao ACQ_OVERLAP, --acq_overlap ACQ_OVERLAP
    Genes are allowed to overlap this number of nucleotides. Default: 30.

-l MIN_COV, --min_cov MIN_COV
    Minimum (breadth-of) coverage of ResFinder

-t THRESHOLD, --threshold THRESHOLD
    Threshold for identity of ResFinder

-c, --point
    Run pointfinder for chromosomal mutations

-db_point DB_PATH_POINT, --db_path_point DB_PATH_POINT
    Path to the databases for PointFinder

-db_point_kma DB_PATH_POINT_KMA, --db_path_point_kma DB_PATH_POINT_KMA
    Path to the PointFinder databases indexed with KMA. Defaults to the 'kma_indexing' directory inside the given database directory.

-g SPECIFIC_GENE [SPECIFIC_GENE ...]
    Specify genes existing in the database to search for - if none is specified all genes are included in the search.

-u, --unknown_mut
    Show all mutations found even if in unknown to the resistance database

-l_p MIN_COV_POINT, --min_cov_point MIN_COV_POINT
    Minimum (breadth-of) coverage of Pointfinder. If None is selected, the minimum coverage of ResFinder will be used.

-t_p THRESHOLD_POINT, --threshold_point THRESHOLD_POINT
    Threshold for identity of Pointfinder. If None is selected, the minimum coverage of ResFinder will be used.

--pickle
    Create a pickle dump of the Isolate object. Currently needed in the CGE webserver. Dependency and this option is being removed.

AUTHOR
 This manpage was written by Nilesh Patra for the Debian distribution and
 can be used for any other usage of the program.